setwd('/home/allgoodguys/Documents/Studying/Lund_PhD/experiments/colors-and-sounds/experiment/stimuli_apr13')
source('/home/allgoodguys/Documents/Studying/Lund_PhD/experiments/colors-and-sounds/experiment/stimuli_apr13/00_master.R')
library(soundgen)
library(seewave)

path = '/home/allgoodguys/Documents/Studying/Lund_PhD/experiments/colors-and-sounds/experiment/stimuli_apr13/stimuli/'

## VISUAL
# same as for loudLum


## AUDITORY
HNR_high = soundgen(sylLen = 350, pitchAnchors = c(160, 200, 160), formants = NULL, vocalTract = 14, attackLen = 50, rolloff = -9, mouthAnchors = c(.5, .6, .5), noiseAnchors = data.frame(time = c(0, 400, 450), value = c(-40, -40, -80) + 10), rolloffNoise = -9, play = TRUE, invalidArgAction = 'ignore', plot = T, osc = T, temperature = .001)
seewave::meanspec(HNR_high, f = 16000, dB = 'max0')

HNR_low = soundgen(sylLen = 350, pitchAnchors = c(160, 200, 160), formants = NULL, vocalTract = 14, attackLen = 50, rolloff = -9, mouthAnchors = c(.5, .6, .5), noiseAnchors = data.frame(time = c(0, 350, 400, 450), value = c(-20, -20, -40, -80) + 10), rolloffNoise = -9, play = TRUE, invalidArgAction = 'ignore', plot = T, osc = T, temperature = .001)
seewave::meanspec(HNR_low, f = 16000, dB = 'max0')  


seewave::savewav(HNR_high, f = 16000, filename = paste0(path, 'HNR_high.wav'))
system("ffmpeg -i /home/allgoodguys/Documents/Studying/Lund_PhD/experiments/colors-and-sounds/experiment/stimuli_apr13/stimuli/HNR_high.wav -b:a 128k /home/allgoodguys/Documents/Studying/Lund_PhD/experiments/colors-and-sounds/experiment/stimuli_apr13/stimuli/HNR_high.mp3")

seewave::savewav(HNR_low, f = 16000, filename = paste0(path, 'HNR_low.wav'))
system("ffmpeg -i /home/allgoodguys/Documents/Studying/Lund_PhD/experiments/colors-and-sounds/experiment/stimuli_apr13/stimuli/HNR_low.wav -b:a 128k /home/allgoodguys/Documents/Studying/Lund_PhD/experiments/colors-and-sounds/experiment/stimuli_apr13/stimuli/HNR_low.mp3")
